"""
The 'algorithms' module contains algorithms that are not specific to a given
musical representation.  They are unlikely to stay here forever, we will probably
file them somewhere else in due course.
"""

from ..melody.boundary import boundary
from ..melody.segment_gestalt import segment_gestalt
from ..pitch.hz2midi import hz2midi
from ..pitch.ismonophonic import ismonophonic
from ..pitch.ivdirdist1 import ivdirdist1
from ..pitch.ivdist1 import ivdist1
from ..pitch.ivdist2 import ivdist2
from ..pitch.ivsizedist1 import ivsizedist1
from ..pitch.pc_set_functions import *
from ..pitch.pcdist1 import pcdist1
from ..pitch.pcdist2 import pcdist2
from ..pitch.pitch_mean import pitch_mean
from ..polyphony.skyline import skyline
from ..time.durdist1 import duration_distribution_1
from ..time.durdist2 import duration_distribution_2
from ..time.meter.break_it_up import ReGrouper
from .entropy import entropy
from .nnotes import nnotes
from .scale import scale
